Explorar el Código

Potential solve for #326 and journey-test passing when they fail

Logan Stucki hace 9 años
padre
commit
938e4478b9
Se han modificado 2 ficheros con 3 adiciones y 1 borrados
  1. 1
    0
      bin/run-journey-test-from-ci.sh
  2. 2
    1
      bin/unit-tests.sh

+ 1
- 0
bin/run-journey-test-from-ci.sh Ver fichero

1
 #!/bin/bash
1
 #!/bin/bash
2
 
2
 
3
+trap 'exit 1' ERR
3
 bin/build-jq.sh
4
 bin/build-jq.sh
4
 
5
 
5
 pr_files_json=`curl -s https://api.github.com/repos/exercism/java/pulls/${TRAVIS_PULL_REQUEST}/files`
6
 pr_files_json=`curl -s https://api.github.com/repos/exercism/java/pulls/${TRAVIS_PULL_REQUEST}/files`

+ 2
- 1
bin/unit-tests.sh Ver fichero

1
 #!/usr/bin/env bash
1
 #!/usr/bin/env bash
2
-set -e
2
+trap 'exit 1' ERR
3
+
3
 ./gradlew --version
4
 ./gradlew --version
4
 
5
 
5
 echo ""
6
 echo ""